View Issue Details

IDProjectCategoryLast Update
0022816AI War 2[All Projects] Bug - GameplayFeb 28, 2020 8:30 pm
ReporterGreatYngAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version1.332 The Extragalactic War Nears 
Fixed in Version2.006 Hotfix 
Summary0022816: Dead AI spawns exo wave aimed at Major Data Center and is also missing the Dire Guardian flagship
DescriptionI killed the primary AI and waves keep coming from it's planet and are indeed owned by it. It's a bit weird, considering it's not supposed to be sending waves anymore. Attached is a save file (Dead AI sending exostrike 1) just before such a wave is launched.

The exo-wave keeps coming from Delfo Jag 2H (owned by this dead AI) to strike Flamefire VI, presumably so it can reach Triaste Quedox Pril where the Major Data Center is located.

Additionally, the Dire Guardian that is supposed to be leading these strikes is missing, and has been since before I killed this AI. I do remember reading in the changelog that the AI can split up the exogalactic strikeforce, but I don't remember seeing a Dire Guardian attacking any of my planets for a very long time; I remember they stopped appearing a few hours after I started this campaign. These current waves are therefore incredibly pathetic unless bolstered by the Hunter Fleet (which does occasionally happen).
TagsNo tags attached.

Activities

GreatYng

Feb 22, 2020 1:02 pm

reporter  

Dead AI sending exostrike 1.save (1,481,726 bytes)
Dead AI sending exostrike 1.savemet (83 bytes)

RocketAssistedPuffin

Feb 22, 2020 1:54 pm

developer   ~0056068

They're not guaranteed to have a Dire Guardian as the Exo-Leader. Golems and the Hunter / Killer are eligible too.

BadgerBadger

Feb 22, 2020 2:45 pm

manager   ~0056069

Depending on the strength of the exo. If the budget is too low then it won't include an ExoLeader.

Ovalcircle

Feb 22, 2020 4:30 pm

reporter   ~0056071

Haha! I've tested multiple cases of how Exo-waves interact with either dead/Rogue or Civil War AIs. If all the Rogue AI's Warp gates are destroyed, It will actually start sending the Exo-Strikes from the other AI Overlord, where the units then start shooting each other because they're enemies.

GreatYng

Feb 24, 2020 5:40 pm

reporter   ~0056081

I didn't know about the other Exo-leaders, but that makes perfect sense. The thing is, I didn't see any Golems or anything else as Exo-leaders.

I got Dire Guardians as Exo-leaders the moment I captured my first Major Data Center, which happened to be at the very start (first 60-90 minutes) of this campaign due to the way this map spawned it. Then after a few hours I noticed they stopped appearing. I didn't see a single Dire Guardian (or other Exo-leader) attack my planets after the half-way point of my campaign. I suppose they could have thrown themselves at the Dyson sphere and died, but I'm pretty sure there not supposed to do that.

In this case the Rogue AI still had warp gates, but that's hilarious Ovalcircle.

BadgerBadger

Feb 28, 2020 8:30 pm

manager   ~0056164

Improve the 'ai stops doing anything once it's killed' code to make sure that Anti-MDC exos are no longer spawned after the overlord is killed

Issue History

Date Modified Username Field Change
Feb 22, 2020 1:02 pm GreatYng New Issue
Feb 22, 2020 1:02 pm GreatYng File Added: Dead AI sending exostrike 1.save
Feb 22, 2020 1:02 pm GreatYng File Added: Dead AI sending exostrike 1.savemet
Feb 22, 2020 1:54 pm RocketAssistedPuffin Note Added: 0056068
Feb 22, 2020 2:45 pm BadgerBadger Note Added: 0056069
Feb 22, 2020 4:30 pm Ovalcircle Note Added: 0056071
Feb 24, 2020 5:40 pm GreatYng Note Added: 0056081
Feb 28, 2020 8:30 pm BadgerBadger Assigned To => BadgerBadger
Feb 28, 2020 8:30 pm BadgerBadger Status new => resolved
Feb 28, 2020 8:30 pm BadgerBadger Resolution open => fixed
Feb 28, 2020 8:30 pm BadgerBadger Fixed in Version => 2.006 Hotfix
Feb 28, 2020 8:30 pm BadgerBadger Note Added: 0056164